Product comparison · 2 network switches

Allied Telesis AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey vs D-Link DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black

Add a product
  • 43specifications compared
  • 22differ
  • 21identical
  • 48known for one product only

Key differences

The Allied Telesis AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey has 44 more basic switching RJ-45 Ethernet ports quantity than the D-Link DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black (48 vs 4). The D-Link DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black has 16 more SFP module slots quantity than the Allied Telesis AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey (20 vs 4). The D-Link DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black has 110.4 Gbit/s more switching capacity than the Allied Telesis AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey (128 Gbit/s vs 17.6 Gbit/s). Only the Allied Telesis AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey has SSH/SSL support. Only the Allied Telesis AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey has rack mounting.

  • Switch layer
    • AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey:L3
    • DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:L2
  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey:48
    • DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:4
  • SFP module slots quantity
    • AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey:4
    • DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:20
  • Switching capacity
    • AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey:17.6 Gbit/s
    • DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:128 Gbit/s
  • DHCP features
    • AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey:DHCP snooping, DHCP client
    • DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:DHCP server, DHCP client
  • SSH/SSL support
    • AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey:Yes
    • DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:No
  • Rack mounting
    • AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey:Yes
    • DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:No
  • Product colour
    • AT-FS980M/52-10 network switch Managed L3 Fast Ethernet (10/100) 1U Grey:Grey
    • DGS-3420-28SC/E network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black:Black

Side by side

Differences highlightedShow differences only (on)
Comparison of AT-FS980M/52-10, DGS-3420-28SC/E
91 specifications
Management features1 differ
Switch layerDiffersL3L2
Web-based managementKnown for oneYesUnknown — not stated by the source
ARP inspectionKnown for oneYesUnknown — not stated by the source
Traffic classificationKnown for oneYesUnknown — not stated by the source
System event logKnown for oneYesUnknown — not stated by the source
MIB supportKnown for oneRFC 1213, RFC 1212, RFC 1227, RFC 1239, RFC 2819, RFC 2863Unknown — not stated by the source
Ports & interfaces3 differ
Basic switching RJ-45 Ethernet ports quantityDiffers484
Basic switching RJ-45 Ethernet ports typeDiffersFast Ethernet (10/100)Gigabit Ethernet (10/100/1000)
Fast Ethernet (copper) ports quantityKnown for one48Unknown — not stated by the source
Installed SFP modules quantityKnown for one0Unknown — not stated by the source
Installed SFP+ modules quantityKnown for one0Unknown — not stated by the source
SFP module slots quantityDiffers420
Fiber optic connectorKnown for oneSFPUnknown — not stated by the source
Console portKnown for oneRJ-45Unknown — not stated by the source
SFP+ module slots quantityKnown for oneUnknown — not stated by the source4
Compatible memory cardsKnown for oneUnknown — not stated by the sourceSD
Network1 differ
Networking standardsDiffersIEEE 802.1x, IEEE 802.2, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3x, IEEE 802.3zIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1v, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3ah, IEEE 802.3x
Copper ethernet cabling technologyKnown for one10BASE-T, 100BASE-TXUnknown — not stated by the source
Active link detectionKnown for oneYesUnknown — not stated by the source
Fast leaveKnown for oneYesUnknown — not stated by the source
Virtual LAN featuresKnown for oneVoice VLAN, Tagged VLAN, Protocol-based VLAN, Port-based VLANUnknown — not stated by the source
Data transmission1 differ
Switching capacityDiffers17.6 Gbit/s128 Gbit/s
Forwarding rateKnown for one13.09 MppsUnknown — not stated by the source
Number of queuesKnown for one8Unknown — not stated by the source
Static routeKnown for oneYesUnknown — not stated by the source
Number of static routesKnown for one16Unknown — not stated by the source
Jumbo framesKnown for one10000Unknown — not stated by the source
Packet buffer memoryKnown for oneUnknown — not stated by the source2 MB
Security3 differ
DHCP featuresDiffersDHCP snooping, DHCP clientDHCP server, DHCP client
AuthenticationKnown for oneMAC-based authentication, Port-based authentication, Web-based authenticationUnknown — not stated by the source
Authentication typeKnown for oneAAA, IEEE 802.1x, Network Access Control (NAC), RADIUSUnknown — not stated by the source
BPDU filtering/protectionKnown for oneYesUnknown — not stated by the source
Loop protectionKnown for oneYesUnknown — not stated by the source
Neighbor discovery snoopingKnown for oneYesUnknown — not stated by the source
Password protectionKnown for oneYesUnknown — not stated by the source
Root protectionKnown for oneYesUnknown — not stated by the source
SSH/SSL supportDiffersYesNo
Security algorithmsDiffersEAP, HTTPS, MD5, PEAP, SSH, SSL/TLS, TTLSSSL/TLS
Static port securityKnown for oneYesUnknown — not stated by the source
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
Protocolsidentical
Management protocolsKnown for oneIGMPv1,IGMPv2,IGMPv3Unknown — not stated by the source
Routing protocolsKnown for oneRIP, RIP-2Unknown — not stated by the source
Design3 differ
Rack mountingDiffersYesNo
Product colourDiffersGreyBlack
LED indicatorsKnown for oneYesUnknown — not stated by the source
Wall mountableKnown for oneYesUnknown — not stated by the source
SafetyDiffersUL 60950-1 Ed2, C22.2 NO.60950-1, EN 60950-1 Ed2, IEC60950-1 Ed.2, EN60950-1 Ed2CB, cUL, LVD
Performance1 differ
Virtual stacking (units)Known for one4Unknown — not stated by the source
Memory typeKnown for oneDDR2-SDRAMUnknown — not stated by the source
Internal memoryKnown for one512 MBUnknown — not stated by the source
Flash memoryKnown for one128 MBUnknown — not stated by the source
Firmware upgradeableKnown for oneYesUnknown — not stated by the source
Noise levelDiffers51 dB46.5 dB
TelnetKnown for oneYesUnknown — not stated by the source
Mean time between failures (MTBF)Known for oneUnknown — not stated by the source300371 h
Poweridentical
Input currentKnown for one1.5 AUnknown — not stated by the source
Power consumption (max)Known for one36 WUnknown — not stated by the source
Power consumption (typical)Known for oneUnknown — not stated by the source60.2 W
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersNoYes
Operational conditions3 differ
Storage temperature (T-T)Differs-20 - 60 °C-40 - 70 °C
Operating relative humidity (H-H)Differs5 - 90%10 - 90%
Storage relative humidity (H-H)Differs5 - 95%5 - 90%
Operating altitudeKnown for one0 - 3048 mUnknown — not stated by the source
Heat dissipationKnown for one120 BTU/hUnknown — not stated by the source
Weight & dimensions4 differ
WidthDiffers440 mm441 mm
DepthDiffers257 mm310 mm
HeightDiffers43.2 mm44 mm
WeightDiffers3.4 kg4.06 kg
Packaging dataidentical
Package weightKnown for one5.6 kgUnknown — not stated by the source
Certificates1 differ
CertificationDiffersFCC part15 B, EN55022 Class A, CISPR22:2006, VCCI Class A, C-Tick, EN 55024, CE, cULus, TUVFCC Class A, CE Class A, VCCI Class A, IC, C-Tick

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons